Bug 1125295 - always meet control error when restartstop a jbossews scalable app with medium or large gear size
Summary: always meet control error when restartstop a jbossews scalable app with mediu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 2.1.0
Hardware: All
OS: All
high
medium
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 1124361
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 13:57 UTC by Brenton Leanhardt
Modified: 2014-08-26 13:53 UTC (History)
9 users (show)

Fixed In Version: openshift-origin-cartridge-jbossews-1.22.3.5-1.el6op
Doc Type: Bug Fix
Doc Text:
Due to a race condition in the JBoss EWS cartridge control script, the parent EWS process was killed before the child processes in certain situations, causing the control script to report an error. This bug fix improves the fallback process clean-up logic to handle this error, and the issue no longer occurs as a result. A cartridge upgrade is required after applying this fix.
Clone Of: 1124361
Environment:
Last Closed: 2014-08-26 13:53:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1095 normal SHIPPED_LIVE Red Hat OpenShift Enterprise 2.1.5 bug fix and enhancement update 2014-08-26 17:51:34 UTC

Comment 1 Brenton Leanhardt 2014-08-01 14:12:42 UTC
Upstream commit:

commit c5d33d05525f4e0b3651a17945874a15d276175e
Author: Ben Parees <bparees@redhat.com>
Date:   Wed Jul 30 23:30:10 2014 -0400

    always meet control error when restartstop a jbossews scalable app with
    medium or large gear size
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1124361

Comment 4 Gaoyun Pei 2014-08-04 08:20:59 UTC
Verify this bug with openshift-origin-cartridge-jbossews-1.22.3.5-1.el6op.noarch.
Related code has been merged in.


On node, modify /etc/openshift/resource_limits.conf to the same configuration with resource_limits.conf.medium_m3.xlarge on devenv. Restart mcollective service.

1. Create scalable jbossews-2.0 app
2. Restart and stop/start the app. No error happened.

Comment 6 errata-xmlrpc 2014-08-26 13:53:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1095.html


Note You need to log in before you can comment on or make changes to this bug.